ImageMagick 'TIFF' Handling Multiple Buffer Overflow Vulnerabilities (Windows)

2017-01-13T00:00:00
ID OPENVAS:1361412562310810279
Type openvas
Reporter Copyright (C) 2017 Greenbone Networks GmbH
Modified 2017-12-19T00:00:00

Description

The host is installed with ImageMagick and is prone to multiple buffer overflow vulnerabilities.

                                        
                                            ###############################################################################
# OpenVAS Vulnerability Test
# $Id: gb_imagemagick_mult_tiff_handling_bof_vuln_win.nasl 8173 2017-12-19 11:45:56Z cfischer $
#
# ImageMagick 'TIFF' Handling Multiple Buffer Overflow Vulnerabilities (Windows)
#
# Authors:
# Rinu Kuriakose <krinu@secpod.com>
#
# Copyright:
# Copyright (C) 2017 Greenbone Networks GmbH, http://www.greenbone.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

CPE = "cpe:/a:imagemagick:imagemagick";

if(description)
{
  script_oid("1.3.6.1.4.1.25623.1.0.810279");
  script_version("$Revision: 8173 $");
  script_cve_id("CVE-2016-10063", "CVE-2016-10064");
  script_bugtraq_id(95210, 95211);
  script_tag(name:"cvss_base", value:"6.8");
  script_tag(name:"cvss_base_vector", value:"AV:N/AC:M/Au:N/C:P/I:P/A:P");
  script_tag(name:"last_modification", value:"$Date: 2017-12-19 12:45:56 +0100 (Tue, 19 Dec 2017) $");
  script_tag(name:"creation_date", value:"2017-01-13 15:10:00 +0530 (Fri, 13 Jan 2017)");
  script_tag(name:"qod_type", value:"registry");
  script_name("ImageMagick 'TIFF' Handling Multiple Buffer Overflow Vulnerabilities (Windows)");

  script_tag(name: "summary" , value:"The host is installed with ImageMagick
  and is prone to multiple buffer overflow vulnerabilities.");

  script_tag(name: "vuldetect" , value:"Get the installed version with the help
  of detect NVT and check the version is vulnerable or not.");

  script_tag(name: "insight" , value:"Multiple flaws are due to failure to 
  adequately bounds-check user-supplied data before copying it to an 
  insufficiently sized memory buffer.");

  script_tag(name: "impact" , value:"Successful exploitation will allow
  attackers to execute arbitrary code within the context of the application. 
  Failed exploit attempts will likely cause a denial-of-service condition.

  Impact Level: System/Application");

  script_tag(name: "affected" , value:"ImageMagick versions before 6.9.5-1
  on Windows.");

  script_tag(name: "solution" , value:"Upgrade to ImageMagick version
  6.9.5-1 or later. For updates refer to http://www.imagemagick.org");

  script_tag(name:"solution_type", value:"VendorFix");

  script_xref(name : "URL" , value : "http://seclists.org/oss-sec/2016/q4/758");
  script_xref(name : "URL" , value : "https://github.com/ImageMagick/ImageMagick/commit/f8877abac8e568b2f339cca70c2c3c1b6eaec288");
  script_copyright("Copyright (C) 2017 Greenbone Networks GmbH");
  script_category(ACT_GATHER_INFO);
  script_family("Denial of Service");
  script_dependencies("secpod_imagemagick_detect_win.nasl");
  script_mandatory_keys("ImageMagick/Win/Installed");
  exit(0);
}


include("host_details.inc");
include("version_func.inc");

## Variable Initialization
imVer = "";
report = "";

## Get version
if(!imVer = get_app_version(cpe:CPE)){
  exit(0);
}

## Grep for vulnerable version
if(version_is_less(version:imVer, test_version:"6.9.5.1"))
{
  report = report_fixed_ver(installed_version:imVer, fixed_version:'6.9.5-1');
  security_message(data:report);
  exit(0);
}